Retrieve cash movements
GET
/api/movimientos-caja/
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.koibox.cloud/api/movimientos-caja/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/movimientos-caja/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.koibox.cloud/api/movimientos-caja/") .get() .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.koibox.cloud/api/movimientos-caja/', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/movimientos-caja/';const options = {method: 'GET', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.koibox.cloud/api/movimientos-caja/ \ --header 'X-Koibox-Key: <X-Koibox-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”id__in
Array<integer>
fecha__gte
string format: date-time
fecha__lte
string format: date-time
fecha__gt
string format: date-time
fecha__lt
string format: date-time
created_by__id
integer
created_by__id__in
Array<integer>
venta__id
integer
venta__id__in
Array<integer>
venta__id__isnull
boolean
deuda__id
integer
deuda__id__in
Array<integer>
deuda__id__isnull
boolean
ingreso__id
integer
ingreso__id__in
Array<integer>
ingreso__id__isnull
boolean
extraccion__id
integer
extraccion__id__in
Array<integer>
extraccion__id__isnull
boolean
tarjeta_regalo_pago_deuda__id
integer
tarjeta_regalo_pago_deuda__id__in
Array<integer>
tarjeta_regalo_pago_deuda__id__isnull
boolean
importe__gte
integer
importe__lte
integer
importe__gt
integer
importe__lt
integer
importe
integer
limit
integer
offset
integer
Responses
Section titled “Responses”List of requested cash movements
Media typeapplication/json
object
count
integer
results
Array
object
id
Read-only
integer
created
Read-only
string format: date-time
updated
Read-only
string format: date-time
fecha
Datetime of the movement
string format: date-time
importe
Amount of the movement
number
descripcion
Description of the movement
string
forma_pago
created_by
object
value
Identifier of the user
integer
text
Name of the user
string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”WWW-Authenticate
string
Indicates the required header for authentication
No valid access key has been provided
